HomeWidget(3)

NAME
HomeWidget - The HomeWidget is the welcome screen of the application.

SYNOPSIS

#include <homewidget.h>

Inherits QWidget.

  Public Slots
void refresh ()
void onPilotsDatabaseChanged (const OPL::DbTable table)

  Public Member Functions
HomeWidget (QWidget *parent=nullptr)

  Protected Member Functions
void changeEvent (QEvent *event) override
Handles change events, like updating the UI to new localisation.

Detailed Description

The HomeWidget is the welcome screen of the application. The HomeWidget shows total flight times and a user-configurable set of currencies (expiry dates for licenses, ratings, medicals,...). Most data is provided by the AStat class and the ACurrencyEntry class. Notifications are provided by means of pop-up warnings on application start via QMessageBox and the INFO/WARN interfaces, as well as by colouring the labels according to the warning level (orange/red).

Author

Generated automatically by Doxygen for openPilotLog from the source code.